List prediction market markets
curl --request GET \
--url http://127.0.0.1:3003/v1/prediction_markets/markets \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3003/v1/prediction_markets/markets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3003/v1/prediction_markets/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"category": "US Politics",
"event": {
"category": "US Politics",
"id": "evt_7f345954fbe84e4ca17ceb02",
"provider": "kalshi",
"scheduledAt": "2026-11-03T00:00:00.000Z",
"status": "open",
"title": "Will Candidate A win the 2026 election?"
},
"eventId": "evt_7f345954fbe84e4ca17ceb02",
"id": "mkt_093348e81f7142eea4240c48",
"outcomes": [
{
"id": "out_ebed2f70f5d447799a8107ad",
"label": "Yes",
"probability": 0.41
},
{
"id": "out_2e5badc2ec174dc291638084",
"label": "No",
"probability": 0.59
}
],
"provider": "kalshi",
"resolutionAt": null,
"resolutionSource": null,
"resolvedAt": null,
"resolvedOutcomeId": null,
"status": "open",
"title": "Candidate A to win"
}
],
"filters": {
"limit": 20,
"provider": "kalshi",
"status": "open"
}
}Prediction Markets
List Markets
Returns market-level records including nested event summaries and current outcome probabilities.
GET
/
v1
/
prediction_markets
/
markets
List prediction market markets
List market-level records with nested event summaries and outcome probabilities.
curl -sS "$MONETARY_API_BASE_URL/v1/prediction_markets/markets?provider=polymarket&status=open&limit=10" \
-H "Authorization: Bearer $MONETARY_API_TOKEN" \
-H "Accept: application/json"
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
kalshi, polymarket Available options:
open, closed Internal event id (evt_...).
Provider market external id.
Case-insensitive category match against market and event category text.
Required range:
1 <= x <= 500⌘I